%define fname church
%define texmf_dir %_datadir/texmf
%define prefix %texmf_dir
%define fontsbase public/%fname
%define texpackname hiptex
%define type1fonts %_datadir/fonts/default/Type1-%fname

Name: hiptex
Version: 0.5.0
Release: alt2

Summary: Using Church Slavonic fonts in TeX (HIP encoding)
Summary(ru_RU.KOI8-R):  -   TeX ( HIP)
License: LPPL
Group: Publishing
Url: http://orthlib.narod.ru/hip/hiptex.html
Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch

Source0: %name.tar.bz2

AutoReq: yes, perl
PreReq: tetex-core >= 2.0-alt0.8

Requires: church-fonts

BuildRequires: tetex-latex >= 2.0-alt0.8, tetex-dvips
BuildRequires: tetex-afm, church-fonts

%package doc
Summary: Documentation for usage of %name
Summary(ru_RU.KOI8-R):    %name
Group: Publishing
Requires: tetex-latex >= 2.0, %name = %version-%release

%description
Hiptex class for using Church Slavonic fonts in TeX/LaTeX.
Add HIP encoding support to TeX.

%description -l ru_RU.KOI8-R
 %name,  
-   TeX. 
   .   
   HIP.

%description doc
Documentation for usage of %name

%description doc -l ru_RU.KOI8-R
   %name

%prep
%setup -n %name

%build

%install

%__mkdir -p %buildroot%texmf_dir
%__cp -Rd * %buildroot%texmf_dir/

for i in afm tfm type1; do
	%__mkdir -p $RPM_BUILD_ROOT/%texmf_dir/fonts/$i/%fontsbase
done

cd %type1fonts
for i in *.afm; do
	%__ln_s %type1fonts/$i $RPM_BUILD_ROOT/%texmf_dir/fonts/afm/%fontsbase
done
for i in *.pfb; do
	%__ln_s %type1fonts/$i $RPM_BUILD_ROOT/%texmf_dir/fonts/type1/%fontsbase
done
cd -

cd $RPM_BUILD_ROOT/%texmf_dir
for i in fonts/afm/%fontsbase/*.afm; do
	afm2tfm $i -T dvips/base/izhitsat2a.enc fonts/tfm/%fontsbase/$(basename $i)
done
cd -

%__mkdir -p %buildroot%_sysconfdir/tex-fonts.d
echo "Map izhitsacs.map" > %buildroot%_sysconfdir/tex-fonts.d/%name.cfg

%post
if [ $1 = 1 ] ; then
    [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
    [ -x /usr/bin/updmap ] && /usr/bin/updmap 2>/dev/null ||:
fi

%postun
if [ $1 = 0 ] ; then
    [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
    [ -x /usr/bin/updmap ] && /usr/bin/updmap 2>/dev/null ||:
fi


%post doc
if [ $1 = 1 ] ; then
    [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
fi

%postun doc
if [ $1 = 0 ] ; then
    [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
fi

%files doc
%texmf_dir/doc/%texpackname

%files
%_sysconfdir/tex-fonts.d/%name.cfg
#%texmf_dir/dvipdfm/*
%texmf_dir/dvips/config/*
%texmf_dir/dvips/base/*
%texmf_dir/fonts/afm/%fontsbase
%texmf_dir/fonts/tfm/%fontsbase
%texmf_dir/fonts/type1/%fontsbase
%texmf_dir/tex/latex/%texpackname
%doc LICENSE

%changelog
* Mon Jan 05 2004 Vitaly Lipatov <lav@altlinux.ru> 0.5.0-alt2
- rebuild

* Fri Apr 04 2003 Vitaly Lipatov <lav@altlinux.ru> 0.5.0-alt1
- first release for ALT Linux Sisyphus
- Warning! It released with error during dvi to ps conversion :(

